%define name alsa-plugins
%define beta 0
%if %beta
%define fname %name-%{version}%beta
%else
%define fname %name-%{version}
%endif

%define libname %mklibname %name

Summary: Advanced Linux Sound Architecture (ALSA) plugins
Name:    %name
Version: 1.0.16
%if %beta
Release: %mkrel 0.%{beta}.2
%else
Release: %mkrel 8
%endif
Source0:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.bz2
Source1: jack.conf
Source2: pulseaudio.conf
Source3: pcm-oss.conf
Source4: samplerate.conf
Source5: upmix.conf
Source6: vdownmix.conf
Source7: pulse-default.conf
# (cg) Patch from ALSA bug #2601
Patch0: alsa-plugins-1.0.16-2601-pulse.patch
# (cg) Patch from ALSA bug #3834 to enable hints (used by phonon)
Patch1: alsa-plugins-1.0.16-3834-pulse-hints.patch
# (tv) official patches from upstream repository to fix pulse asserts resulting in unexpected crashes:
Patch2: alsa-lib-fix-pulse-assert.diff
Patch3: alsa-lib-fix-pulse-assert2.diff
# All packages are LGPLv2+ with the exception of samplerate which is GPLv2+
License: GPLv2+ and LGPLv2+
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version
BuildRequires: libpulseaudio-devel >= 0.8
BuildRequires: ncurses-devel
BuildRequires: jackit-devel
BuildRequires: ffmpeg-devel
BuildRequires: speex-devel

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%package -n %{libname}
Summary: Advanced Linux Sound Architecture (ALSA) plugins
Group: Sound
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < %{version}-%{release}
Requires: libalsa >= %version
Requires: %{name}-doc

%description -n %{libname}
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%package doc
Summary: Advanced Linux Sound Architecture (ALSA) plugins
Group: Sound

%description doc
Documentation for %{name}

# (tv) needed for biarch:
%package        pulse-config
Summary:        Alsa to PulseAudio backend
Group:          Sound
License:        LGPLv2+
Conflicts:	%{libname}-pulseaudio  <= 1.0.16-6mdv2008.1
%ifarch %ix86
Conflicts:	lib64alsa-plugins-pulseaudio <= 1.0.16-6mdv2008.1
%endif

%description pulse-config
This package contains configuration files for the pulse ALSA plugin.

%package -n %{libname}-pulseaudio
Summary:        Alsa to PulseAudio backend
Group:          Sound
License:        LGPLv2+
Provides:	%{name}-pulseaudio = %{version}-%{release}
Conflicts:	%{libname} < 1.0.15-2mdv
Requires:	 %name-pulse-config

%description -n %{libname}-pulseaudio
This plugin allows any program that uses the ALSA API to access a PulseAudio
sound daemon. In other words, native ALSA applications can play and record
sound across a network. There are two plugins in the suite, one for PCM and
one for mixer control.

%package -n %{libname}-jack
Summary:        Jack PCM output plugin for ALSA
Group:          Sound
License:        LGPLv2+
Provides:	%{name}-jack = %{version}-%{release}
Conflicts:	%{libname} < 1.0.15-2mdv

%description -n %{libname}-jack
This plugin converts the ALSA API over JACK (Jack Audio Connection
Kit, http://jackit.sf.net) API.  ALSA native applications can work
transparently together with jackd for both playback and capture.

    ALSA apps (playback) -> ALSA-lib -> JACK plugin -> JACK daemon
    ALSA apps (capture) <- ALSA-lib <- JACK plugin <- JACK daemon

This plugin provides the PCM type "jack"

%prep
%setup -q -n %fname
%patch0 -p1 -b .pulse
%patch1 -p1 -b .pulse-hints
%patch2 -p1 -b .fix-pulse-assert
%patch3 -p1 -b .fix-pulse-assert2

%build
%configure2_5x
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std mkdir_p="mkdir -p"

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/alsa

install -d ${RPM_BUILD_ROOT}%{_datadir}/alsa/pcm
install -m 644 %SOURCE1 %SOURCE2 \
               %SOURCE4 %SOURCE5 %SOURCE6 \
                   ${RPM_BUILD_ROOT}%{_datadir}/alsa/pcm
install -m 644 %SOURCE7 \
                   ${RPM_BUILD_ROOT}%{_sysconfdir}/alsa

%clean
rm -rf $RPM_BUILD_ROOT

%files doc
%defattr(-,root,root)
%doc COPYING* doc/R* doc/*.txt

%files -n %{libname}
%defattr(-,root,root)
%exclude %{_libdir}/alsa-lib/*_pulse.so
%exclude %{_libdir}/alsa-lib/*_jack.so
%{_datadir}/alsa/pcm/samplerate.conf
%{_datadir}/alsa/pcm/upmix.conf
%{_datadir}/alsa/pcm/vdownmix.conf
%_libdir/alsa-lib/*


%files pulse-config
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/alsa/pulse-default.conf
%{_datadir}/alsa/pcm/pulseaudio.conf

%files -n %{libname}-pulseaudio
%defattr(-,root,root,-)
%doc doc/README-pulse
%{_libdir}/alsa-lib/libasound_module_pcm_pulse.so
%{_libdir}/alsa-lib/libasound_module_ctl_pulse.so

%files -n %{libname}-jack
%defattr(-,root,root,-)
%doc doc/README-jack
%{_datadir}/alsa/pcm/jack.conf
%{_libdir}/alsa-lib/libasound_module_pcm_jack.so


%changelog
* Wed Apr 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.16-8mdv2008.1
+ Revision: 191635
- remove bogus provides in pulse-config

* Tue Apr 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.16-7mdv2008.1
+ Revision: 191500
- fix upgrading _both_ lib{,64}alsa-plugins-pulse on biarch systems by spliting
  out the config files in a common subpackage (#39414)

* Thu Mar 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.16-6mdv2008.1
+ Revision: 187710
- Rebuild
- Add description hint for PulseAudio when default (i.e. aplay -L)

* Wed Mar 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.16-4mdv2008.1
+ Revision: 187096
- patches 2 & 3: official patches from upstream repository to fix pulse asserts
  resulting in unexpected crashes
- patch 1: remove bits already in official patches from unofficial patch

* Mon Mar 10 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.16-3mdv2008.1
+ Revision: 183546
- Allow setting of hints for the pulseaudio plugin (alsa#3834)

* Thu Feb 21 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.16-2mdv2008.1
+ Revision: 173672
- Apply patch from Alsa bug #2601 to fix an assert in and a buffer calculation in pulseaudio plugin.

* Wed Feb 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.16-1mdv2008.1
+ Revision: 163082
- new release

* Wed Jan 23 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.16-0.rc1.2mdv2008.1
+ Revision: 157006
- Remove invalid requires (Mdv bug #37098)

* Mon Jan 21 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.16-0.rc1.1mdv2008.1
+ Revision: 155929
- new release

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.15-5mdv2008.1
+ Revision: 152815
- remove useless kernel require

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.15-4mdv2008.1
+ Revision: 138878
- Patch1 (HG): fix assert in pulse plugin (Alsa bug #3470)
- Patch2 (HG): add minmax condition for pulse plugin (Alsa bug #2601)
- Patch3 (HG): report XRUN state back to application (Fedora)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.15-3mdv2008.1
+ Revision: 118015
- Use correct path for alsa config files, it isn't the same as Fedora

* Wed Dec 05 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.15-2mdv2008.1
+ Revision: 115679
- Move pulseaudio and jack plugin in subpackages
- Add default configuration files for jack, pulseaudio and other plugins (Fedora)

* Tue Oct 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.15-1mdv2008.1
+ Revision: 99092
- new release

* Sun Oct 14 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.15-0.rc1.3mdv2008.1
+ Revision: 98172
- Remove erroneous Provides due to over-zealous copy+paste

* Sun Oct 14 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.15-0.rc1.2mdv2008.1
+ Revision: 98126
- Libify to allow both 32 and 64 bit installation to co-exist

* Tue Oct 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.15-0.rc1.1mdv2008.1
+ Revision: 95784
- new release

* Tue Sep 25 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.14-7mdv2008.0
+ Revision: 92913
- Apply upstream/fedora patch for pulse audio defaults.

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-6mdv2008.0
+ Revision: 44573
- add buildrequires for more plugins

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0.14-4mdv2008.0
+ Revision: 36245
- rebuild with correct optflags

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new release

* Thu May 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc4.1mdv2008.0
+ Revision: 21559
- new release


* Thu Mar 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc3.1mdv2007.1
+ Revision: 138549
- new release

* Tue Jan 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc2.1mdv2007.1
+ Revision: 112299
- new release

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.0
+ Revision: 71861
- new release

* Fri Aug 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1mdv2007.0
+ Revision: 57846
- new release
- new release
- kill alsaconf rests
- there's no translation catalog
- new release
- fix buildrequires for s/Polypaudio/PulseAudio/ name change

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import alsa-plugins-1.0.11-3mdk

* Tue May 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- fix buildrequires for x86_64 (#22430)
- remove manual requires already guessed by spec-helper

* Mon May 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.11-2mdk
- Fix Requires

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release
- fix buildrequires
- do not include all sources in doc when locale is not C...

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc1.1mdk
- new release

* Fri Oct 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.9-2mdk
- Fix BuildRequires
- %%{1}mdk

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- initial release

